# Déplacement du câble de brassage ![](https://docs.equinix.com/fr-CA/assets/images/OrderToMovePatchCables-10a628d023dd72d7028c80d2cf7730b6.png) ## Conditions préalables[​](#conditions-préalables "Lien direct vers Conditions préalables") 1. Pour obtenir les détails Smart Hands, vous devez disposer de `Smart Hands` l'autorisation. 2. Authentifier - envoyez vos identifiants utilisateur, votre identifiant client et votre secret client pour l'authentification OAuth2. Pour obtenir des instructions sur la façon d'appeler l'API OAuth pour valider et authentifier vos identifiants, reportez-vous à [authentification API](https://docs.equinix.com/fr-CA/equinix-api/api-authentication.md). 3. Obtenir les types de Smart Hands - envoyez une `GET` demande au [`/v1/orders/smarthands/types`](https://docs.equinix.com/fr-CA/api-catalog/smarthandsv1/smarthands/smarthandtypes.md)terminal pour obtenir tous les types de commande Smart Hands. Vous pouvez ignorer cette étape si vous connaissez déjà le type de commande Smart Hands. 4. Obtenir des informations de localisation : envoyez une `GET` demande au [`/v1/orders/smarthands/locations`](https://docs.equinix.com/fr-CA/api-catalog/smarthandsv1/smarthands/getlocation.md)point final pour récupérer les emplacements IBX disponibles auxquels vous avez accès. Vous pouvez ignorer cette étape si vous connaissez déjà les informations de localisation. ## Câbles de raccordement de commande et de déplacement[​](#câbles-de-raccordement-de-commande-et-de-déplacement "Lien direct vers Câbles de raccordement de commande et de déplacement") Pour passer une commande de câbles de raccordement à déplacer entre les appareils par un technicien Equinix IBX, envoyez une `POST` demande au [`/v1/orders/smarthands/moveJumperCable`](https://docs.equinix.com/fr-CA/api-catalog/smarthandsv1/smarthands/handlesmarthandmovejumpercableorder.md)terminal. Cela ne peut être effectué que par un utilisateur disposant de l'autorisation de commande Smart Hands . Exemple de commande cURL pour déplacer un câble de brassage sans informations supplémentaires ni pièces jointes. ou contacts\*\* ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/moveJumperCable" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "quantity": "1",     "scopeOfWork": "Move cable from Server01 to Server 09, and ensure cable tag is easily seen at all times. Cable ID is 1-12345-67890. Any available slots or ports."   },   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "contacts": [     {       "contactType": "ORDERING",       "userName": "johndoe"     },     {       "contactType": "TECHNICAL",       "userName": "johndoe",       "workPhonePrefToCall": "ANYTIME"     },     {       "contactType": "NOTIFICATION",       "userName": "johndoe"     }   ] }' ``` Exemple de commande cURL pour déplacer un câble de brassage avec des informations supplémentaires et des pièces jointes. et contacts: > **Remarque** > > Avant de créer une commande avec pièce jointe, appelez le [`Attachments File`](https://docs.equinix.com/fr-CA/api-catalog/attachmentsv1/attachments/createattachment.md) terminal. ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/moveJumperCable" -H "content-type: application/json" -H "authorization: Bearer " -d '{   "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "quantity": "1",     "cableId": "1-12345-67890",     "currentDeviceDetails": {       "name": "NH-Server-01",       "slot": "50",       "port": "50"     },     "newDeviceDetails": {       "name": "NH-Server-09",       "slot": "Next Available",       "port": "Next Available"     },     "scopeOfWork": "Refer to attachment for cable details.",     "needSupportFromASubmarineCableStationEngineer": true   },   "attachments": [     {       "id": "fcb4a673-6308-456e-8f83-f745501d60ba",       "name": "MoveCablesInstructions.docx"     }   ],   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "customerReferenceNumber": "EQX-PO2019-08-001",   "purchaseOrder": {     "purchaseOrderType": "EXEMPTED",     "attachment": {       "id": "abc1fd2e-345f-67g4-hi89-01jk234l5m6n",       "name": "PurchaseOrderExemptionForm123.docx"     }   },   "contacts": [     {       "contactType": "ORDERING",       "userName": "johndoe"     },     {       "contactType": "TECHNICAL",       "name": "Jane Smith",       "email": "janesmith@corporation.com",       "workPhoneCountryCode": "+44",       "workPhone": "0148211111",       "workPhonePrefToCall": "MY_BUSINESS_HOURS",       "workPhoneTimeZone": "Europe/London",       "mobilePhoneCountryCode": "+44",       "mobilePhone": "0123456789",       "mobilePhonePrefToCall": "MY_BUSINESS_HOURS",       "mobilePhoneTimeZone": "Europe/London"     },     {       "contactType": "NOTIFICATION",       "userName": "johndoe"     },     {       "contactType": "NOTIFICATION",       "userName": "jillsnow"     }   ] }' ``` Exemple cURL pour déplacer plusieurs câbles de brassage sans information supplémentaire, pièces jointes ou contacts: ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/moveJumperCable" -H "content-type: application/json" -H "authorization: Bearer " -d '{   "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "cabinets": [           "AM1:0J:00JD11:0001"         ],         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "quantity": "12+",     "scopeOfWork": "Move all cables from Server01 to Server 09, and ensure cable tag is easily seen at all times. Any available slots or ports"   },   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "contacts": [     {       "contactType": "ORDERING",       "userName": "johndoe"     },     {       "contactType": "TECHNICAL",       "userName": "johndoe",       "workPhonePrefToCall": "ANYTIME"     },     {       "contactType": "NOTIFICATION",       "userName": "johndoe"     }   ] }' ``` Exemple de commande cURL pour déplacer plusieurs câbles de brassage avec des informations supplémentaires, pièces jointes et contacts: > **Remarque** > > Avant de créer une commande avec pièce jointe, appelez le [`Attachments File`](https://docs.equinix.com/fr-CA/api-catalog/attachmentsv1/attachments/createattachment.md) terminal. ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/moveJumperCable" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "cabinets": [           "AM1:0J:00JD11:0001"         ],         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "quantity": "12+",     "scopeOfWork": "Refer to attachment for cable details.",     "needSupportFromASubmarineCableStationEngineer": true   },   "attachments": [     {       "id": "fcb4a673-6308-456e-8f83-f745501d60ba",       "name": "MoveCablesInstructions.docx"     }   ],   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "customerReferenceNumber": "EQX-PO2019-08-001",   "purchaseOrder": {     "purchaseOrderType": "EXEMPTED",     "attachment": {       "id": "abc1fd2e-345f-67g4-hi89-01jk234l5m6n",       "name": "PurchaseOrderExemptionForm123.docx"     }   },   "contacts": [     {       "contactType": "ORDERING",       "userName": "johndoe"     },     {       "contactType": "TECHNICAL",       "name": "Jane Smith",       "email": "janesmith@corporation.com",       "workPhoneCountryCode": "+44",       "workPhone": "0148211111",       "workPhonePrefToCall": "MY_BUSINESS_HOURS",       "workPhoneTimeZone": "Europe/London",       "mobilePhoneCountryCode": "+44",       "mobilePhone": "0123456789",       "mobilePhonePrefToCall": "MY_BUSINESS_HOURS",       "mobilePhoneTimeZone": "Europe/London"     },     {       "contactType": "NOTIFICATION",       "userName": "johndoe"     },     {       "contactType": "NOTIFICATION",       "userName": "jillsnow"     }   ] }' ``` Exemple de réponse: ``` {   "OrderNumber": "1-457809872838" } ``` La réponse indique que la commande a été prise en compte et retourne le numéro de commande.